class_name GravePuzzle

extends Puzzle

@export var graves: Array[Grave] = []

var _last_grave: Grave

func _process(delta):
	var is_finished = true
	for grave in graves:
		if !grave.is_finished:
			is_finished = false
			break;
			
	if is_finished:
		complete()

func activate_grave(grave: Grave):
	if _last_grave == grave.pair:
		grave.complete()
		grave.pair.complete()
		return
	
	grave.sing()
	_last_grave = grave
